/* Turska UI library
 * Copyright 2003-2004 Jetro Lauha
 * All rights reserved.
 * Web: http://iki.fi/jetro/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of EITHER:
 *   (1) The GNU Lesser General Public License as published by the Free
 *       Software Foundation; either version 2.1 of the License, or (at
 *       your option) any later version. The text of the GNU Lesser
 *       General Public License is included with this library in the
 *       file LICENSE-LGPL.txt.
 *   (2) The BSD-style license that is included with this library in
 *       the file LICENSE-BSD.txt.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the files
 * LICENSE-LGPL.txt and LICENSE-BSD.txt for more details.
 *
 * $Id: UIGraphics.h,v 1.1 2004/08/24 21:54:12 tonic Exp $
 * $Revision: 1.1 $
 */

#ifndef UIGRAPHICS_H_INCLUDED
#define UIGRAPHICS_H_INCLUDED


//! Abstract interface for UI graphics handling.
class UIGraphics
{
public:

    UIGraphics() {}
    virtual ~UIGraphics() {}

    //! Performs any necessary tasks to begin rendering of UI components.
    virtual void beginRender() {}
    //! Ends rendering of UI components.
    virtual void endRender() {}

    //! Loads an image with a given file name.
    /*!
     * \return image object if successful, or NULL if unsuccessful.
     */
    virtual UIImage * loadImage(const char *fileName) = 0;
};


#endif // !UIGRAPHICS_H_INCLUDED
